#!/usr/bin/env python
# script to extract email addresses from members table for list
# management purposes

import cgiutils
import tablcgi
from table_details import mtab
site_vars=cgiutils.get_vars('site.cfg')
dl=site_vars['data_location']

members=tablcgi.table(mtab,dir=dl)
emails=[]
eacs=[]
for rec in members.data:
  if rec["email"] not in emails:
    emails.append(rec["email"])
    eacs.append((rec["email"],rec["ac_id"]))

ef=open("just_email.txt","w")
for email in emails:
  ef.write(email+'\n')

af=open("email_accounts.txt","w")
for email,ac_id in eacs:
  af.write(ac_id + ' ' + email + '\n') 
