#!/bin/sh
# updates a file when a string needs changing from old to new
# 
# needs to be called with 3 arguments, old and new strings and filename
olds=$1
news=$2
fn=$3
# temporary file
tmpfile=/tmp/ip_filechange_tempdatafile.$$
has_old=`cat $fn | grep $olds | wc -l`
if [ -f $fn -a $has_old -gt 0 ]; then
  cat $fn | sed "s#$olds#$news#g" > $tmpfile
  mv $tmpfile $fn
else
  echo updatestr_infile fname: $fn olds: $olds not present in file 
fi

