#!/usr/bin/python
# change top line to the path of the Python interpreter on your system

'''
creates trading categories entries
'''

import tablcgi
import cgiutils
site_vars=cgiutils.get_vars('site.cfg')
dl=site_vars['data_location']
from table_details import cattab
categories=tablcgi.table(cattab,dir=dl)

while(1):
  print("categories administration menu")
  print("enter for")
  print("1     add category")
  print("2     delete category")
  print("3     modify category description")
  print("4     modify category sort position")
  print("5     view all categories and descriptions")
  print("6     make select statement from category table")
  print("q     quit")
  option=input("enter option: ")
  if option == '1':     
    cat=input("enter category: ")
    sort=input("enter sort position: ")
    description=input("enter description: ")
    row={}
    row["category"]=cat
    row["sort"]=int(sort)
    row["desc"]=description
    categories.addrow(row)
    categories.save()
    print("category added")
  elif option == "2": # remove category 
    cat=input("enter category: ")
    if categories.find(cat) >= 0:
      categories.delrow(cat)
      categories.save()
    else:
      print("category: "+cat+" not in categories table")
  elif option == "3": # modify category description
    cat=input("enter category: ")
    description=input("enter description: ")
    cindex=categories.find(cat)
    categories.data[cindex]["desc"]=description
    categories.save()
  elif option == "4": # modify category sort position
    cat=input("enter category: ")
    cindex=categories.find(cat)
    sort=int(input("enter category sort position (numeral e.g 100): "))
    categories.data[cindex]["sort"]=sort
    categories.save()
  elif option == "5":
    categories.sort(key="sort")
    categories.tab2html()
  elif option == "6":
    select=cgiutils.make_select(categories,
                                instruction="Select one of the following ",
                                cgiparameter="category")
    print(select)
  elif option == 'q' or option == 'Q':
    break
  else:
    print("invalid option")
  input("press enter")


